Mailinglist Archive: opensuse-factory (244 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20180719 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20180719

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
Mesa (18.1.3 -> 18.1.4)
Mesa-drivers (18.1.3 -> 18.1.4)
MozillaThunderbird (52.9.0 -> 52.9.1)
NetworkManager (1.10.8 -> 1.10.10)
a2ps
accountsservice
akonadi-calendar (18.04.2 -> 18.04.3)
akonadi-calendar-tools (18.04.2 -> 18.04.3)
akonadi-contact (18.04.2 -> 18.04.3)
akonadi-import-wizard (18.04.2 -> 18.04.3)
akonadi-mime (18.04.2 -> 18.04.3)
akonadi-notes (18.04.2 -> 18.04.3)
akonadi-search (18.04.2 -> 18.04.3)
akonadi-server (18.04.2 -> 18.04.3)
akregator (18.04.2 -> 18.04.3)
analitza (18.04.2 -> 18.04.3)
apache2-mod_perl
ark (18.04.2 -> 18.04.3)
baloo5-widgets (18.04.2 -> 18.04.3)
bash
blinken (18.04.2 -> 18.04.3)
bovo (18.04.2 -> 18.04.3)
calendarsupport (18.04.2 -> 18.04.3)
ccache
ceph (13.2.0.39+geb7f429568 -> 13.2.0.210+g0e990e900d)
cervisia (18.04.2 -> 18.04.3)
dolphin (18.04.2 -> 18.04.3)
dragonplayer (18.04.2 -> 18.04.3)
eventviews (18.04.2 -> 18.04.3)
evolution (3.28.3 -> 3.28.4)
evolution-data-server (3.28.3 -> 3.28.4)
evolution-ews (3.28.3 -> 3.28.4)
ffmpegthumbs (18.04.2 -> 18.04.3)
file-roller (3.28.0 -> 3.28.1)
gnome-logs (3.28.3 -> 3.28.5)
gnome-shell-extensions
gnustep-base
gpg2 (2.2.8 -> 2.2.9)
grantleetheme (18.04.2 -> 18.04.3)
grilo (0.3.4 -> 0.3.5)
grilo-plugins (0.3.5 -> 0.3.6)
gwenview5 (18.04.2 -> 18.04.3)
haveged
incidenceeditor (18.04.2 -> 18.04.3)
juk (18.04.2 -> 18.04.3)
kaccounts-integration (18.04.2 -> 18.04.3)
kaccounts-providers (18.04.2 -> 18.04.3)
kaddressbook (18.04.2 -> 18.04.3)
kalarmcal (18.04.2 -> 18.04.3)
kalgebra (18.04.2 -> 18.04.3)
kalzium (18.04.2 -> 18.04.3)
kamera (18.04.2 -> 18.04.3)
kanagram (18.04.2 -> 18.04.3)
kapptemplate (18.04.2 -> 18.04.3)
kate (18.04.2 -> 18.04.3)
katomic (18.04.2 -> 18.04.3)
kblackbox (18.04.2 -> 18.04.3)
kblocks (18.04.2 -> 18.04.3)
kbounce (18.04.2 -> 18.04.3)
kbreakout (18.04.2 -> 18.04.3)
kbruch (18.04.2 -> 18.04.3)
kcachegrind (18.04.2 -> 18.04.3)
kcalc (18.04.2 -> 18.04.3)
kcalcore (18.04.2 -> 18.04.3)
kcalutils (18.04.2 -> 18.04.3)
kcharselect (18.04.2 -> 18.04.3)
kcolorchooser (18.04.2 -> 18.04.3)
kcontacts (18.04.2 -> 18.04.3)
kcron (18.04.2 -> 18.04.3)
kdav (18.04.2 -> 18.04.3)
kde-print-manager (18.04.2 -> 18.04.3)
kdeedu-data (18.04.2 -> 18.04.3)
kdegraphics-thumbnailers (18.04.2 -> 18.04.3)
kdenetwork4-filesharing (18.04.2 -> 18.04.3)
kdepim-addons (18.04.2 -> 18.04.3)
kdepim-apps-libs (18.04.2 -> 18.04.3)
kdepim-runtime (18.04.2 -> 18.04.3)
kdf (18.04.2 -> 18.04.3)
kdialog (18.04.2 -> 18.04.3)
kdiamond (18.04.2 -> 18.04.3)
kernel-source (4.17.5 -> 4.17.6)
kgeography (18.04.2 -> 18.04.3)
kget (18.04.2 -> 18.04.3)
kgoldrunner (18.04.2 -> 18.04.3)
khangman (18.04.2 -> 18.04.3)
khelpcenter5 (18.04.2 -> 18.04.3)
kidentitymanagement (18.04.2 -> 18.04.3)
kig (18.04.2 -> 18.04.3)
kimagemapeditor (18.04.2 -> 18.04.3)
kimap (18.04.2 -> 18.04.3)
kio-extras5 (18.04.2 -> 18.04.3)
kio_audiocd (18.04.2 -> 18.04.3)
kiriki (18.04.2 -> 18.04.3)
kiten (18.04.2 -> 18.04.3)
kjumpingcube (18.04.2 -> 18.04.3)
kldap (18.04.2 -> 18.04.3)
kleopatra (18.04.2 -> 18.04.3)
klettres (18.04.2 -> 18.04.3)
klines (18.04.2 -> 18.04.3)
kmag (18.04.2 -> 18.04.3)
kmahjongg (18.04.2 -> 18.04.3)
kmail (18.04.2 -> 18.04.3)
kmail-account-wizard (18.04.2 -> 18.04.3)
kmailtransport (18.04.2 -> 18.04.3)
kmbox (18.04.2 -> 18.04.3)
kmime (18.04.2 -> 18.04.3)
kmines (18.04.2 -> 18.04.3)
kmousetool (18.04.2 -> 18.04.3)
kmouth (18.04.2 -> 18.04.3)
kmplot (18.04.2 -> 18.04.3)
knavalbattle (18.04.2 -> 18.04.3)
knetwalk (18.04.2 -> 18.04.3)
knotes (18.04.2 -> 18.04.3)
kolf (18.04.2 -> 18.04.3)
kollision (18.04.2 -> 18.04.3)
kolourpaint (18.04.2 -> 18.04.3)
kompare (18.04.2 -> 18.04.3)
konquest (18.04.2 -> 18.04.3)
konsole (18.04.2 -> 18.04.3)
kontact (18.04.2 -> 18.04.3)
kontactinterface (18.04.2 -> 18.04.3)
kopete (18.04.2 -> 18.04.3)
korganizer (18.04.2 -> 18.04.3)
kpat (18.04.2 -> 18.04.3)
kpimtextedit (18.04.2 -> 18.04.3)
kqtquickcharts (18.04.2 -> 18.04.3)
krdc (18.04.2 -> 18.04.3)
kreversi (18.04.2 -> 18.04.3)
krfb (18.04.2 -> 18.04.3)
krita (4.1.0 -> 4.1.1)
kruler (18.04.2 -> 18.04.3)
kshisen (18.04.2 -> 18.04.3)
ksirk (18.04.2 -> 18.04.3)
ksmtp (18.04.2 -> 18.04.3)
kspaceduel (18.04.2 -> 18.04.3)
ksquares (18.04.2 -> 18.04.3)
ksudoku (18.04.2 -> 18.04.3)
ksystemlog (18.04.2 -> 18.04.3)
kteatime (18.04.2 -> 18.04.3)
ktimer (18.04.2 -> 18.04.3)
ktnef (18.04.2 -> 18.04.3)
ktouch (18.04.2 -> 18.04.3)
ktuberling (18.04.2 -> 18.04.3)
kturtle (18.04.2 -> 18.04.3)
kubrick (18.04.2 -> 18.04.3)
kwalletmanager5 (18.04.2 -> 18.04.3)
kwordquiz (18.04.2 -> 18.04.3)
libgit2 (0.27.0 -> 0.27.3)
libgpg-error (1.31 -> 1.32)
libgphoto2 (2.5.18 -> 2.5.18.1)
libgravatar (18.04.2 -> 18.04.3)
libkcddb (18.04.2 -> 18.04.3)
libkcompactdisc (18.04.2 -> 18.04.3)
libkdcraw (18.04.2 -> 18.04.3)
libkdegames (18.04.2 -> 18.04.3)
libkdepim (18.04.2 -> 18.04.3)
libkeduvocdocument (18.04.2 -> 18.04.3)
libkexiv2 (18.04.2 -> 18.04.3)
libkgapi (18.04.2 -> 18.04.3)
libkipi (18.04.2 -> 18.04.3)
libkleo (18.04.2 -> 18.04.3)
libkmahjongg (18.04.2 -> 18.04.3)
libkomparediff2 (18.04.2 -> 18.04.3)
libksane (18.04.2 -> 18.04.3)
libksieve (18.04.2 -> 18.04.3)
libsodium
lokalize (18.04.2 -> 18.04.3)
lskat (18.04.2 -> 18.04.3)
mailcommon (18.04.2 -> 18.04.3)
mailimporter (18.04.2 -> 18.04.3)
mbox-importer (18.04.2 -> 18.04.3)
messagelib (18.04.2 -> 18.04.3)
mobipocket (18.04.2 -> 18.04.3)
mutt (1.10.0 -> 1.10.1)
myspell-dictionaries (20180403 -> 20180704)
nfsidmap (0.26 -> 0.27)
okular (18.04.2 -> 18.04.3)
ovmf (2018+git1528497654.eb5943134630 -> 2018+git1531464032.ae08ea246fe9)
pam
parley (18.04.2 -> 18.04.3)
perl-Text-CSV_XS (1.35 -> 1.36)
perl-libwww-perl (6.34 -> 6.35)
pigz (2.3.3 -> 2.4)
pim-data-exporter (18.04.2 -> 18.04.3)
pim-sieve-editor (18.04.2 -> 18.04.3)
pimcommon (18.04.2 -> 18.04.3)
plasma-browser-integration (5.13.2 -> 5.13.3)
polkit (0.114 -> 0.115)
python-PyYAML (3.12 -> 3.13)
python-keyring (13.0.0 -> 13.2.1)
python-setuptools (39.2.0 -> 40.0.0)
python-urllib3 (1.22 -> 1.23)
rsync
sendmail
shotwell (0.28.3 -> 0.28.4)
spectacle (18.04.2 -> 18.04.3)
srt (1.3.0 -> 1.3.1)
step (18.04.2 -> 18.04.3)
sweeper (18.04.2 -> 18.04.3)
syndication (18.04.2 -> 18.04.3)
tracker (2.0.3 -> 2.0.4)
umbrello (18.04.2 -> 18.04.3)
vala (0.40.7 -> 0.40.8)
vim (8.1.0115 -> 8.1.0179)
woff2
xdm
xf86-input-libinput (0.27.1 -> 0.28.0)
xinit
zimg (2.7.4 -> 2.7.5)

=== Details ===

==== Mesa ====
Version update (18.1.3 -> 18.1.4)
Subpackages: Mesa-dri-devel Mesa-libEGL1 Mesa-libGL1 Mesa-libglapi0 libgbm1
libwayland-egl1

- update to 18.1.4
* Several fixes for i965
* Several fixes for anv
* A few fixes each for radeonsi, glx, the glsl compiler, the
autotools build, nir, st/dri, and r600
- Make build verbose as outlined in openSUSE:Specfile guidelines
https://en.opensuse.org/openSUSE:Specfile_guidelines#Verbose_mode

==== Mesa-drivers ====
Version update (18.1.3 -> 18.1.4)
Subpackages: Mesa-dri Mesa-dri-nouveau Mesa-gallium Mesa-libva libvdpau_nouveau
libvdpau_r300 libvdpau_r600 libvdpau_radeonsi libvulkan_intel libvulkan_radeon
libxatracker2

- update to 18.1.4
* Several fixes for i965
* Several fixes for anv
* A few fixes each for radeonsi, glx, the glsl compiler, the
autotools build, nir, st/dri, and r600
- Make build verbose as outlined in openSUSE:Specfile guidelines
https://en.opensuse.org/openSUSE:Specfile_guidelines#Verbose_mode

==== MozillaThunderbird ====
Version update (52.9.0 -> 52.9.1)
Subpackages: MozillaThunderbird-translations-common

- update to Thunderbird 52.9.1
* Deleting or detaching attachments corrupted messages under certain
circumstances (bmo#1473893, bsc#1100780)

==== NetworkManager ====
Version update (1.10.8 -> 1.10.10)
Subpackages: NetworkManager-lang libnm0 typelib-1_0-NM-1_0

- Update to version 1.10.10:
+ Fix crash during reapply of connection settings.
+ Minor bugfixes.

==== a2ps ====

- Add reproducible.patch to fix build date (boo#1047218)
- Run build non-parallelized and with make -B because of
poorly specified make build dependencies to make build reproducible

==== accountsservice ====
Subpackages: accountsservice-lang libaccountsservice0
typelib-1_0-AccountsService-1_0

- Add accountsservice-lib-treat-session-type-wayland-as-graphical-session.patch:
When user session type is wayland, act_user_is_logged_in can
return TRUE if the user is logged in (boo#1095918 fdo#106855).
- Make build verbose to see full command lines.

==== akonadi-calendar ====
Version update (18.04.2 -> 18.04.3)
Subpackages: akonadi-calendar-lang akonadi-plugin-calendar
libKF5AkonadiCalendar5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== akonadi-calendar-tools ====
Version update (18.04.2 -> 18.04.3)
Subpackages: akonadi-calendar-tools-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== akonadi-contact ====
Version update (18.04.2 -> 18.04.3)
Subpackages: akonadi-contact-lang akonadi-plugin-contacts libKF5AkonadiContact5
libKF5ContactEditor5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== akonadi-import-wizard ====
Version update (18.04.2 -> 18.04.3)
Subpackages: akonadi-import-wizard-lang libKPimImportWizard5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== akonadi-mime ====
Version update (18.04.2 -> 18.04.3)
Subpackages: akonadi-mime-lang akonadi-plugin-mime libKF5AkonadiMime5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== akonadi-notes ====
Version update (18.04.2 -> 18.04.3)
Subpackages: akonadi-notes-lang libKF5AkonadiNotes5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== akonadi-search ====
Version update (18.04.2 -> 18.04.3)
Subpackages: akonadi-search-lang libKF5AkonadiSearch

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== akonadi-server ====
Version update (18.04.2 -> 18.04.3)
Subpackages: akonadi-server-lang akonadi-server-sqlite libKF5AkonadiAgentBase5
libKF5AkonadiCore5 libKF5AkonadiPrivate5 libKF5AkonadiWidgets5 libKF5AkonadiXml5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* Fix a crash due to access of temporary object
* Fix MariaDB initialization when mysql_install_db is missing (kde#392948)
* akInit: improve error message when renaming old logfiles fails
* StorageJanitor: handle external parts DB entries with missing filename
(kde#395743)
* Server: handle race condition on connection shutdown (kde#394071)
* ActionStateManager: separate selected collections from favorites.
* Document the hidden mechanism by which these methods are called...
* Resourcebase docu: don't call changeCommitted from itemRemoved.
* Fix caption/text

==== akregator ====
Version update (18.04.2 -> 18.04.3)
Subpackages: akregator-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== analitza ====
Version update (18.04.2 -> 18.04.3)
Subpackages: analitza-lang libAnalitza5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== apache2-mod_perl ====

- restore process name after sv_setpv_mg() call [bsc#1091625]
+ apache2-mod_perl-prctl-short-name.patch

==== ark ====
Version update (18.04.2 -> 18.04.3)
Subpackages: ark-lang libkerfuffle18

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* libzip: fix extraction of folders without zip entry (kde#394542)

==== baloo5-widgets ====
Version update (18.04.2 -> 18.04.3)
Subpackages: baloo5-widgets-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== bash ====
Subpackages: bash-doc bash-lang

- Add bash-memmove.patch to make bash.html build reproducible (boo#1100488)

==== blinken ====
Version update (18.04.2 -> 18.04.3)
Subpackages: blinken-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== bovo ====
Version update (18.04.2 -> 18.04.3)
Subpackages: bovo-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== calendarsupport ====
Version update (18.04.2 -> 18.04.3)
Subpackages: calendarsupport-lang libKF5CalendarSupport5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== ccache ====

- Enable testsuite

==== ceph ====
Version update (13.2.0.39+geb7f429568 -> 13.2.0.210+g0e990e900d)
Subpackages: librados2 librbd1

- Update to v13.2.0-210-g0e990e900d:
+ based on upstream mimic 4ed78ecf2f27aae1e9eb27f83611285ec7445ebd
* bsc#1099162, CVE-2018-10861
* bsc#1096748, CVE-2018-1128, CVE-2018-1129
+ increase memory constraint for build workers after builds started
failing on workers with exactly 8G of RAM ("free -h" reports
7.8 GiB for these workers)

==== cervisia ====
Version update (18.04.2 -> 18.04.3)
Subpackages: cervisia-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== dolphin ====
Version update (18.04.2 -> 18.04.3)
Subpackages: dolphin-part dolphin-part-lang libdolphinvcs5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* Fix loop of FocusIn events
* [KBalooRolesProvider] Support properties of type QStringList (kde#395033)

==== dragonplayer ====
Version update (18.04.2 -> 18.04.3)
Subpackages: dragonplayer-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== eventviews ====
Version update (18.04.2 -> 18.04.3)
Subpackages: eventviews-lang libKF5EventViews5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== evolution ====
Version update (3.28.3 -> 3.28.4)
Subpackages: evolution-lang evolution-plugin-bogofilter
evolution-plugin-pst-import evolution-plugin-spamassassin

- Update to version 3.28.4:
+ Update links to GNOME git repositories in flatpak files.
+ [EContactEditor] Do not store empty values in vCard.
+ Correct memory leak of object returned by
atk_object_ref_relation_set().
+ Try also with the From address when looking up correct From
account for composer.
+ Properly wrap text in 'Security Information' dialog.
+ Add 4px bottom margin to secure button table.
+ [Composer] Message generated twice when using 'Send through
Outbox'.
+ Update couple HTML editor tests.
+ Help: Update meeting invitation process due to UI changes.
+ Bugs fixed: bgo#796174, bgo#757504, bgo#548681, bgo#750636,
glgo#GNOME/evolution#31, glgo#GNOME/evolution#32,
glgo#GNOME/evolution#13, glgo#GNOME/evolution#43,
glgo#GNOME/evolution#55, glgo#GNOME/evolution#69.
+ Updated translations.

==== evolution-data-server ====
Version update (3.28.3 -> 3.28.4)
Subpackages: evolution-data-server-lang libcamel-1_2-61 libebackend-1_2-10
libebook-1_2-19 libebook-contacts-1_2-2 libecal-1_2-19 libedata-book-1_2-25
libedata-cal-1_2-28 libedataserver-1_2-23 libedataserverui-1_2-2

- Update to version 3.28.4:
+ Make sure errors reported from backends are valid UTF-8
strings.
+ [CamelSMIMEContext] Fix a memory leak.
+ [IMAPx] Search for whole word "Cyrus" when parsing version from
the server response.
+ Bugs fixed: bgo#796174, bgo#702127,
glgo#GNOME/evolution-data-server#12,
glgo#GNOME/evolution-data-server#13,
glgo#GNOME/evolution-data-server#14.

==== evolution-ews ====
Version update (3.28.3 -> 3.28.4)
Subpackages: evolution-ews-lang

- Update to version 3.28.4:
+ Bugs fixed: bgo#796297, glgo#GNOME/evolution-ews#12,
glgo#GNOME/evolution-ews#4, glgo#GNOME/evolution-ews#5,
glgo#GNOME/evolution-ews#2, glgo#GNOME/evolution-ews#7.

==== ffmpegthumbs ====
Version update (18.04.2 -> 18.04.3)

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== file-roller ====
Version update (3.28.0 -> 3.28.1)
Subpackages: file-roller-lang

- Update to version 3.28.1:
+ Bugs fixed: Keep "create" button disabled until a file name is
entered (bgo#789766).
+ Updated translations.

==== gnome-logs ====
Version update (3.28.3 -> 3.28.5)
Subpackages: gnome-logs-lang

- Update to version 3.28.5:
+ Fix typo in data/meson.build.
- Changes from version 3.28.4:
+ Fix build error in meson build system.
- Switch to meson buildsystem, add meson BuildRequires and
corresponding macros.
- Add gnome-logs-fix-appdata-meson.patch: Fix appdata installfolder
when using meson build system.

==== gnome-shell-extensions ====
Subpackages: gnome-shell-classic gnome-shell-extensions-common
gnome-shell-extensions-common-lang

- Update sle-classic@xxxxxxxxxxxxxxx. After sle-classic extension
is disabled, can't show clone window in overview mode
(bsc#1095325).

==== gnustep-base ====

- Remove dependencies on insserv, not used.

==== gpg2 ====
Version update (2.2.8 -> 2.2.9)
Subpackages: gpg2-lang

- GnuPG 2.2.9:
* dirmngr: Fix recursive resolver mode and other bugs in the
libdns code
* dirmngr: When using libgpg-error 1.32 or later a GnuPG build
with NTBTLS support does not anymore block for dozens of
seconds before returning data.
* gpg: Fix bug in --show-keys which actually imported revocation
certificates
* gpg: Ignore too long user-ID and comment packets
* gpg: Fix crash due to bad German translation. Improved printf
format compile time check.
* gpg: Handle missing ISSUER sub packet gracefully in the presence of
the new ISSUER_FPR
* gpg: Allow decryption using several passphrases in most cases.
* gpg: Command --show-keys now enables the list options
show-unusable-uids, show-unusable-subkeys, show-notations and
show-policy-urls by default.
* gpg: Command --show-keys now prints revocation certificates.
* gpg: Add revocation reason to the "rev" and "rvs" records of the
option --with-colons. [#1173]
* gpg: Export option export-clean does now remove certain expired
subkeys; export-minimal removes all expired subkeys.
* gpg: New "usage" property for the drop-subkey filters.

==== grantleetheme ====
Version update (18.04.2 -> 18.04.3)
Subpackages: grantleetheme-lang libKF5GrantleeTheme5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== grilo ====
Version update (0.3.4 -> 0.3.5)
Subpackages: grilo-lang libgrilo-0_3-0 libgrlnet-0_3-0 libgrlpls-0_3-0
typelib-1_0-Grl-0_3

- Update to version 0.3.5:
+ Bugs fixed: glgo#GNOME/grilo!10, glgo#GNOME/grilo!9,
glgo#GNOME/grilo#4, glgo#GNOME/grilo#2.
+ Updated translations.

==== grilo-plugins ====
Version update (0.3.5 -> 0.3.6)
Subpackages: grilo-plugin-tracker grilo-plugin-youtube grilo-plugins-lang

- Update to version 0.3.6:
+ Gravatar plugin: Fix memory leak.
+ Opensubtitles: Fix memory leak.
+ Lua-Factory:
- Replace assert() with critical messages.
- Apple trailers - Fix warnings.
- itunes podcast - Fix maximum items.
- The Games DB:
. Add support to TurboGrafx-CD
. Add support to Neo-Geo Pocket Color
. Add support to WonderSwan and WonderSwan Color
. Add support to Famicom
. Add support to Atari Lynx
. Add support to Virtual Boy
. Fix multiple Genres per game
+ Magnatue: Add cover art support.
+ Updated translations.

==== gwenview5 ====
Version update (18.04.2 -> 18.04.3)
Subpackages: gwenview5-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* Fix external application menu occasionally slowing down startup (kde#395925)
* Fix issues with cursors and unwanted actions when right-clicking
* Reset zoom cursor more reliably
* Fix QFileDialog::selectUrl() setting initial directory
* Enable AutoErrorHandling for rename job (kde#395890)

==== haveged ====
Subpackages: libhavege1

- Add patch change-sysroot.patch to
move forward to socket communication within private network
- Add haveged-switch-root.service which send the new root location
to running haveged process
- Make haveged survive switch root within initrd (boo#1075359)
added change-sysroot.patch
haveged-switch-root.service

==== incidenceeditor ====
Version update (18.04.2 -> 18.04.3)
Subpackages: incidenceeditor-lang libKF5IncidenceEditor5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== juk ====
Version update (18.04.2 -> 18.04.3)
Subpackages: juk-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* use KDE_INSTALL_METAINFODIR

==== kaccounts-integration ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kaccounts-integration-lang libkaccounts1

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kaccounts-providers ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kaccounts-providers-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kaddressbook ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kaddressbook-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kalarmcal ====
Version update (18.04.2 -> 18.04.3)
Subpackages: akonadi-plugin-kalarmcal kalarmcal-lang libKF5AlarmCalendar5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kalgebra ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kalgebra-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kalzium ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kalzium-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kamera ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kamera-lang kio_kamera

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kanagram ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kanagram-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kapptemplate ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kapptemplate-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kate ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kate-lang kate-plugins

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* Fix if to actually have a comparison
* Fix QuickOpen with Qt 5.11 (kde#395039)
- Dropped patches, now upstream:
* 0002-Fix-QuickOpen-with-Qt-5.11.patch
- Refreshed patches:
* 0001-Defuse-root-block.patch

==== katomic ====
Version update (18.04.2 -> 18.04.3)
Subpackages: katomic-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kblackbox ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kblackbox-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kblocks ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kblocks-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kbounce ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kbounce-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kbreakout ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kbreakout-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kbruch ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kbruch-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kcachegrind ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kcachegrind-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kcalc ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kcalc-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kcalcore ====
Version update (18.04.2 -> 18.04.3)

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kcalutils ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kcalutils-lang libKF5CalendarUtils5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kcharselect ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kcharselect-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kcolorchooser ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kcolorchooser-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kcontacts ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kcontacts-lang libKF5Contacts5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kcron ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kcron-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kdav ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kdav-lang libKPimKDAV5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kde-print-manager ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kde-print-manager-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kdeedu-data ====
Version update (18.04.2 -> 18.04.3)

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kdegraphics-thumbnailers ====
Version update (18.04.2 -> 18.04.3)

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kdenetwork4-filesharing ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kdenetwork4-filesharing-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kdepim-addons ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kdepim-addons-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kdepim-apps-libs ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kdepim-apps-libs-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kdepim-runtime ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kdepim-runtime-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* Don't try to EXPUNGE read-only mailboxes (kde#395417)
* IMAP: pre-fill current password in the password dialog (kde#395964)

==== kdf ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kdf-lang kwikdisk

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kdialog ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kdialog-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kdiamond ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kdiamond-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kernel-source ====
Version update (4.17.5 -> 4.17.6)
Subpackages: kernel-default kernel-default-devel kernel-devel kernel-docs
kernel-macros kernel-syms

- Linux 4.17.6 (bnc#1012628).
- userfaultfd: hugetlbfs: fix userfaultfd_huge_must_wait()
pte access (bnc#1012628).
- mm: hugetlb: yield when prepping struct pages (bnc#1012628).
- mm: teach dump_page() to correctly output poisoned struct pages
(bnc#1012628).
- PCI / ACPI / PM: Resume bridges w/o drivers on suspend-to-RAM
(bnc#1012628).
- ACPICA: Drop leading newlines from error messages (bnc#1012628).
- ACPI / battery: Safe unregistering of hooks (bnc#1012628).
- drm/amdgpu: Make struct amdgpu_atif private to amdgpu_acpi.c
(bnc#1012628).
- tracing: Avoid string overflow (bnc#1012628).
- tracing: Fix missing return symbol in function_graph output
(bnc#1012628).
- scsi: sg: mitigate read/write abuse (bnc#1012628).
- scsi: aacraid: Fix PD performance regression over incorrect
qd being set (bnc#1012628).
- scsi: target: Fix truncated PR-in ReadKeys response
(bnc#1012628).
- drbd: fix access after free (bnc#1012628).
- vfio: Use get_user_pages_longterm correctly (bnc#1012628).
- ARM: dts: imx51-zii-rdu1: fix touchscreen pinctrl (bnc#1012628).
- ARM: dts: omap3: Fix am3517 mdio and emac clock references
(bnc#1012628).
- ARM: dts: dra7: Disable metastability workaround for USB2
(bnc#1012628).
- cifs: Fix use after free of a mid_q_entry (bnc#1012628).
- cifs: Fix memory leak in smb2_set_ea() (bnc#1012628).
- cifs: Fix slab-out-of-bounds in send_set_info() on SMB2 ACE
setting (bnc#1012628).
- cifs: Fix infinite loop when using hard mount option
(bnc#1012628).
- drm: Use kvzalloc for allocating blob property memory
(bnc#1012628).
- drm/udl: fix display corruption of the last line (bnc#1012628).
- drm/amdgpu: Add amdgpu_atpx_get_dhandle() (bnc#1012628).
- drm/amdgpu: Dynamically probe for ATIF handle (v2)
(bnc#1012628).
- jbd2: don't mark block as modified if the handle is out of
credits (bnc#1012628).
- ext4: add corruption check in ext4_xattr_set_entry()
(bnc#1012628).
- ext4: always verify the magic number in xattr blocks
(bnc#1012628).
- ext4: make sure bitmaps and the inode table don't overlap with
bg descriptors (bnc#1012628).
- ext4: always check block group bounds in
ext4_init_block_bitmap() (bnc#1012628).
- ext4: only look at the bg_flags field if it is valid
(bnc#1012628).
- ext4: verify the depth of extent tree in ext4_find_extent()
(bnc#1012628).
- ext4: include the illegal physical block in the bad map
ext4_error msg (bnc#1012628).
- ext4: clear i_data in ext4_inode_info when removing inline data
(bnc#1012628).
- ext4: never move the system.data xattr out of the inode body
(bnc#1012628).
- ext4: avoid running out of journal credits when appending to
an inline file (bnc#1012628).
- ext4: add more inode number paranoia checks (bnc#1012628).
- ext4: add more mount time checks of the superblock
(bnc#1012628).
- ext4: check superblock mapped prior to committing (bnc#1012628).
- HID: i2c-hid: Fix "incomplete report" noise (bnc#1012628).
- HID: hiddev: fix potential Spectre v1 (bnc#1012628).
- HID: debug: check length before copy_to_user() (bnc#1012628).
- HID: core: allow concurrent registration of drivers
(bnc#1012628).
- i2c: core: smbus: fix a potential missing-check bug
(bnc#1012628).
- i2c: smbus: kill memory leak on emulated and failed DMA SMBus
xfers (bnc#1012628).
- fs: allow per-device dax status checking for filesystems
(bnc#1012628).
- dax: change bdev_dax_supported() to support boolean returns
(bnc#1012628).
- dax: check for QUEUE_FLAG_DAX in bdev_dax_supported()
(bnc#1012628).
- dm: prevent DAX mounts if not supported (bnc#1012628).
- mtd: cfi_cmdset_0002: Change definition naming to retry write
operation (bnc#1012628).
- mtd: cfi_cmdset_0002: Change erase functions to retry for error
(bnc#1012628).
- mtd: cfi_cmdset_0002: Change erase functions to check chip
good only (bnc#1012628).
- netfilter: nf_log: don't hold nf_log_mutex during user access
(bnc#1012628).
- staging: comedi: quatech_daqp_cs: fix no-op loop
daqp_ao_insn_write() (bnc#1012628).
- Revert mm/vmstat.c: fix vmstat_update() preemption BUG
(bnc#1012628).
- commit 8a8b6ec

==== kgeography ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kgeography-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kget ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kget-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kgoldrunner ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kgoldrunner-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== khangman ====
Version update (18.04.2 -> 18.04.3)
Subpackages: khangman-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== khelpcenter5 ====
Version update (18.04.2 -> 18.04.3)
Subpackages: khelpcenter5-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kidentitymanagement ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kidentitymanagement-lang libKF5IdentityManagement5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kig ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kig-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kimagemapeditor ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kimagemapeditor-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kimap ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kimap-lang libKF5IMAP5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* SELECT: handle READ-ONLY result
* Re-enable and update the LoginJobTest
* Fix STARTTLS support detection (kde#395249)

==== kio-extras5 ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kio-extras5-lang libkioarchive5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* fix sftp links with new uds implementation

==== kio_audiocd ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kio_audiocd-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kiriki ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kiriki-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kiten ====
Version update (18.04.2 -> 18.04.3)
Subpackages: fonts-KanjiStrokeOrders kiten-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kjumpingcube ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kjumpingcube-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kldap ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kldap-lang libKF5Ldap5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kleopatra ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kleopatra-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== klettres ====
Version update (18.04.2 -> 18.04.3)
Subpackages: klettres-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== klines ====
Version update (18.04.2 -> 18.04.3)
Subpackages: klines-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kmag ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kmag-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* Fix HiDPI support (kde#394308)
* Fix "Stays On Top" toggling

==== kmahjongg ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kmahjongg-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kmail ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kmail-application-icons kmail-lang ktnef

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* Fix Bug 395353 - kmail doesn't honor Subject and In-Reply-To in mailto:
links (kde#395353)
* KMail: don't move the mainwindow to the current desktop when invoking a
composer
* Fix typo in argument name
* Allow to make working as an email when we forward message as attachment
- Add explicit requires for pimcommon libraries (libKF5PimCommon5 and
libKF5PimCommonAkonadi5) and for messagelib

==== kmail-account-wizard ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kmail-account-wizard-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kmailtransport ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kmailtransport-lang libKF5MailTransport5
libKF5MailTransportAkonadi5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kmbox ====
Version update (18.04.2 -> 18.04.3)

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kmime ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kmime-lang libKF5Mime5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kmines ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kmines-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kmousetool ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kmousetool-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kmouth ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kmouth-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kmplot ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kmplot-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== knavalbattle ====
Version update (18.04.2 -> 18.04.3)
Subpackages: knavalbattle-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== knetwalk ====
Version update (18.04.2 -> 18.04.3)
Subpackages: knetwalk-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== knotes ====
Version update (18.04.2 -> 18.04.3)
Subpackages: knotes-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* Apply patch from Robert Hoffmann
* Apply patch from Robert Hoffmann (kde#358973)

==== kolf ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kolf-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kollision ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kollision-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kolourpaint ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kolourpaint-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kompare ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kompare-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== konquest ====
Version update (18.04.2 -> 18.04.3)
Subpackages: konquest-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== konsole ====
Version update (18.04.2 -> 18.04.3)
Subpackages: konsole-part konsole-part-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* Only consider startDragDistance for drag-n-drop tabs

==== kontact ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kontact-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kontactinterface ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kontactinterface-lang libKF5KontactInterface5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* PimUniqueApplication: make newInstance virtual.

==== kopete ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kopete-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* Fix pipes plugin build (missing moc include)

==== korganizer ====
Version update (18.04.2 -> 18.04.3)
Subpackages: korganizer-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kpat ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kpat-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kpimtextedit ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kpimtextedit-lang libKF5PimTextEdit5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* Fix default size

==== kqtquickcharts ====
Version update (18.04.2 -> 18.04.3)

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== krdc ====
Version update (18.04.2 -> 18.04.3)
Subpackages: krdc-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kreversi ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kreversi-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== krfb ====
Version update (18.04.2 -> 18.04.3)
Subpackages: krfb-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== krita ====
Version update (4.1.0 -> 4.1.1)
Subpackages: krita-lang

- Update to 4.1.1:
* See https://krita.org/en/item/krita-4-1-1-released/
* Fix loading PyKrita when using PyQt 5.11 (kde#396381)
* Fix possible crashes with vector objects (kde#396145)
* Fix an issue when resizing pixel brushes in the brush editor
(kde#396136)
* Don't show the unimplemented color picker button in the vector
object tool properties docker (kde#389525)
* Fix activation of the autosave time after a modify, save,
modify cycle (kde#393266)
* Fix out-of-range lookups in the cross-channel curve filter
(kde#396244)
* Fix an assert when pressing PageUp into the reference images
layer
* Avoid a crash when merging layers in isolated mode (kde#395981)
* Fix loading files with a transformation mask that uses the box
transformation filter (kde#395979)
* Fix activating the transform tool if the Box transformation
filter was selected (kde#395979)
* Fix a crash when hiding the last visible channel (kde#395301)
* Make it possible to load non-conforming GPL palettes like
https://lospec.com/palette-list/endesga-16
* Simplify display of the warp transformation grid
* Re-add the Invert Selection menu entry (kde#395764)
* Use KFormat to show formatted numbers
* Hide the color sliders config page
* Don't pick colors from fully transparent reference images
(kde#396358)
* Fix a crash when embedding a reference image
* Fix some problems when saving and loading reference images
(kde#396143)
* Fix the color picker tool not working on reference images
(kde#396144)
* Extend the panning range to include any reference images
- Add fix-build-with-Qt5.6.patch to make it compile on Leap 42.3
(kde#396594)

==== kruler ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kruler-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kshisen ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kshisen-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== ksirk ====
Version update (18.04.2 -> 18.04.3)
Subpackages: ksirk-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== ksmtp ====
Version update (18.04.2 -> 18.04.3)
Subpackages: ksmtp-lang libKPimSMTP5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kspaceduel ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kspaceduel-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== ksquares ====
Version update (18.04.2 -> 18.04.3)
Subpackages: ksquares-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== ksudoku ====
Version update (18.04.2 -> 18.04.3)
Subpackages: ksudoku-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== ksystemlog ====
Version update (18.04.2 -> 18.04.3)
Subpackages: ksystemlog-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kteatime ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kteatime-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== ktimer ====
Version update (18.04.2 -> 18.04.3)
Subpackages: ktimer-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== ktnef ====
Version update (18.04.2 -> 18.04.3)
Subpackages: ktnef-lang libKF5Tnef5

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== ktouch ====
Version update (18.04.2 -> 18.04.3)
Subpackages: ktouch-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== ktuberling ====
Version update (18.04.2 -> 18.04.3)
Subpackages: ktuberling-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kturtle ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kturtle-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kubrick ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kubrick-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kwalletmanager5 ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kwalletmanager5-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== kwordquiz ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kwordquiz-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== libgit2 ====
Version update (0.27.0 -> 0.27.3)

- libgit2 0.27.3:
* CVE-2018-10887 (bsc#1100613), CVE-2018-10888 (bsc#1100612):
Specially crafted delta object in packfiles could trigger an
integer overflow, bypassing input validation and causing the
object database to contain copies of system memory. This may
allow denial of service or, potentially, an information leak
- includes changes from 0.27.2:
* various API and correctnes fixes
* Fixes related to handling of .gitmodules
- includes changes from 0.27.1:
* CVE-2018-11235: insufficient validation of submodule names from
.gitmodules allowed writes to arbitrary paths (bsc#1095219)
* disallow .gitmodules files as symlinks.

==== libgpg-error ====
Version update (1.31 -> 1.32)
Subpackages: libgpg-error0 libgpg-error0-32bit

- Update to 1.32:
* Fixes a problem with gpgrt_fflush and gpgrt_fopencookie
* Fixes a problem with the C11 header stdnoreturn.h

==== libgphoto2 ====
Version update (2.5.18 -> 2.5.18.1)
Subpackages: libgphoto2-6 libgphoto2-6-lang

- updated to a 2.5.18.1 snapshot after Hackweek:
- newer EOS cameras better OLC information support
- better support for Fuji X series cameras, liveview and capture

==== libgravatar ====
Version update (18.04.2 -> 18.04.3)
Subpackages: libKF5Gravatar5 libgravatar-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== libkcddb ====
Version update (18.04.2 -> 18.04.3)

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== libkcompactdisc ====
Version update (18.04.2 -> 18.04.3)
Subpackages: libKF5CompactDisc5 libkcompactdisc-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== libkdcraw ====
Version update (18.04.2 -> 18.04.3)

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== libkdegames ====
Version update (18.04.2 -> 18.04.3)
Subpackages: kdegames-carddecks-default libkdegames-lang libkf5kdegames6

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== libkdepim ====
Version update (18.04.2 -> 18.04.3)
Subpackages: libKF5Libkdepim5 libKF5LibkdepimAkonadi5 libkdepim-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== libkeduvocdocument ====
Version update (18.04.2 -> 18.04.3)
Subpackages: libKEduVocDocument5 libkeduvocdocument-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== libkexiv2 ====
Version update (18.04.2 -> 18.04.3)

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== libkgapi ====
Version update (18.04.2 -> 18.04.3)
Subpackages: libKPimGAPICalendar5 libKPimGAPIContacts5 libKPimGAPICore5
libKPimGAPITasks5 libkgapi-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== libkipi ====
Version update (18.04.2 -> 18.04.3)
Subpackages: libKF5Kipi32_0_0 libkipi-data

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== libkleo ====
Version update (18.04.2 -> 18.04.3)
Subpackages: libKF5Libkleo5 libkleo-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== libkmahjongg ====
Version update (18.04.2 -> 18.04.3)
Subpackages: libKF5KMahjongglib5 libkmahjongg-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== libkomparediff2 ====
Version update (18.04.2 -> 18.04.3)
Subpackages: libkomparediff2-5 libkomparediff2-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== libksane ====
Version update (18.04.2 -> 18.04.3)
Subpackages: libKF5Sane5 libksane-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== libksieve ====
Version update (18.04.2 -> 18.04.3)
Subpackages: libksieve-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* Fix show new email
* Fix create script job
* Fix bug found by David.
* Fix found active or not vacation script
* Fix close dialogbox
* Fix generate USER script

==== libsodium ====

- Add baselibs.conf: build libsodium23-32bit, which is required by
zeromq's -32bit packages.
- Add gpg signature
- Modernise spec file with spec-cleaner

==== lokalize ====
Version update (18.04.2 -> 18.04.3)
Subpackages: lokalize-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== lskat ====
Version update (18.04.2 -> 18.04.3)
Subpackages: lskat-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== mailcommon ====
Version update (18.04.2 -> 18.04.3)
Subpackages: libKF5MailCommon5 mailcommon-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* FolderSettings: Fix "no resource found in collection" assert.

==== mailimporter ====
Version update (18.04.2 -> 18.04.3)
Subpackages: libKF5MailImporter5 libKF5MailImporterAkonadi5 mailimporter-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== mbox-importer ====
Version update (18.04.2 -> 18.04.3)
Subpackages: mbox-importer-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== messagelib ====
Version update (18.04.2 -> 18.04.3)
Subpackages: messagelib-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* Avoid to display all message in preview
* Fix dnd attachment with qt5.11
- Dropped patches, now upstream:
* 0001-Fix-dnd-attachment-with-qt5.11.patch

==== mobipocket ====
Version update (18.04.2 -> 18.04.3)

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== mutt ====
Version update (1.10.0 -> 1.10.1)
Subpackages: mutt-doc mutt-lang

- Update to mutt 1.10.1 (boo#1101428)
This is an important bug-fix release, fixing a code injection
and a couple path traversal vulnerabilities.
This also covers
* CVE-2018-14363 bnc#1101566
* CVE-2018-14362 bnc#1101567
* CVE-2018-14361 bnc#1101568
* CVE-2018-14360 bnc#1101569
* CVE-2018-14359 bnc#1101570
* CVE-2018-14358 bnc#1101571
* CVE-2018-14357 bnc#1101573
* CVE-2018-14356 bnc#1101576
* CVE-2018-14355 bnc#1101577
* CVE-2018-14354 bnc#1101578
* CVE-2018-14353 bnc#1101581
* CVE-2018-14352 bnc#1101582
* CVE-2018-14351 bnc#1101583
* CVE-2018-14350 bnc#1101588
* CVE-2018-14349 bnc#1101589
- Modified patches
* bug-676388-largefile.patch
* mutt-1.5.15-wrapcolumn.diff
* mutt-1.5.20-sendgroupreplyto.diff
* mutt-1.5.23-carriage-return.path
* mutt-1.6.1-opennfs.dif
* patch-1.5.24.vk.pgp_verbose_mime
* truncate.patch

==== myspell-dictionaries ====
Version update (20180403 -> 20180704)
Subpackages: myspell-cs_CZ myspell-da_DK myspell-de myspell-de_DE myspell-el_GR
myspell-en myspell-en_GB myspell-en_US myspell-es myspell-es_ES myspell-fr_FR
myspell-hu_HU myspell-it_IT myspell-lightproof-en myspell-lightproof-hu_HU
myspell-lightproof-pt_BR myspell-lightproof-ru_RU myspell-pl_PL myspell-pt_BR
myspell-ru_RU

- Update to 20180704:
* Indonesian hyphenation added
* English updates
* Croatian updates
* Bulgarian files converted to UTF8 in order to avoid bugs

==== nfsidmap ====
Version update (0.26 -> 0.27)

- --with-pic is pointless in conjunction with --disable-static.
Remove it.
- Update to version 0.27
* No changelog available
- Refresh patches:
* fix-prototype.patch
* libnfsidmap-export-symbols.patch
- Modernise spec file with spec-cleaner

==== okular ====
Version update (18.04.2 -> 18.04.3)
Subpackages: okular-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* Do not crash on right-click on TOC item with no associated page

==== ovmf ====
Version update (2018+git1528497654.eb5943134630 ->
2018+git1531464032.ae08ea246fe9)
Subpackages: qemu-ovmf-x86_64

- Update to 2018+git1531464032.ae08ea246fe9
+ ArmVirtPkg/ArmVirtQemu: enable the IPv6 stack
+ SecurityPkg: Fix assert when setting key from eMMC/SD/USB
+ UefiCpuPkg/MpInitLib: Avoid calling PEI services from AP
+ NetworkPkg/HttpDxe: Fix the bug when parsing HTTP(S) message
body
+ SecurityPkg/OpalPassword: Fixed input correct password not
works issue
+ SecurityPkg/TcgStorageOpalLib: Return AUTHORITY_LOCKED_OUT error
+ OvmfPkg/QemuFlashFvbServicesRuntimeDxe: Restore C-bit when SEV
is active
+ OvmfPkg/QemuFlashFvbServicesRuntimeDxe: Do not expose MMIO in
SMM build
+ OvmfPkg/QemuFlashFvbServicesRuntimeDxe: mark Flash memory
range as MMIO
+ MdeModulePkg/Variable: Check EFI_MEMORY_RUNTIME attribute
before setting it
+ MdeModulePkg SataControllerDxe: Calculate ChannelCount based
on PI value
+ SecurityPkg Tpm2DeviceLibDTpm: Update enum type name to match
the one in lib
+ MdeModulePkg UsbBusDxe: Fix wrong buffer length used to read
hub desc
+ SecurityPkg: Tpm2DeviceLib: Enable CapCRBIdleBypass support
+ SecurityPkg: Cache TPM interface type info
+ FatPkg/FatPei: Add the recognition of recovery capsule on NVME
device
+ MdeModulePkg/NvmExpressPei: Add the NVME device PEI BlockIo
support
+ MdeModulePkg: Add definitions for EDKII PEI NVME host
controller PPI
+ ArmPkg/ArmMmuLib ARM: fix Mva to use idx instead of table base
+ ArmPkg/ArmMmuLib ARM: assume page tables are in writeback
cacheable memory
+ ArmPkg/ArmMmuLib ARM: remove cache maintenance of block mapping
contents
+ MdeModulePkg: Enable SATA Controller PCI mem space
+ MdeModulePkg/NetworkPkg: Checking for NULL pointer before use
+ MdeModulePkg/Core: remove SMM check for Heap Guard feature
detection
+ UefiCpuPkg/CpuDxe: allow accessing (DXE) page table in SMM mode
+ BaseTools/tools_def IA32: drop -no-pie linker option for GCC49
+ SecurityPkg/SecureBootConfigDxe: Fix invalid NV data issue
+ ArmVirtPkg: add QemuRamfbDxe
+ OvmfPkg: add QemuRamfbDxe
+ BaseTools/tools_def IA32: disable PIE code generation explicitly
+ MdePkg UefiLib: Use comparison logic to check UINTN parameter
+ ArmVirtPkg: switch to KVM safe IoLib implementation
+ MdePkg/BaseIoLibIntrinsic: make BaseIoLibIntrinsic safe for
ArmVirt/KVM
+ ArmPkg/CompilerIntrinsicsLib: fix GCC8 warning for
__aeabi_memcpy aliases
- The IP6 stack of AAVMF is enabled

==== pam ====
Subpackages: pam-32bit pam-devel

- Install empty directory /etc/security/namespace.d for
pam_namespace.so iscript.

==== parley ====
Version update (18.04.2 -> 18.04.3)
Subpackages: parley-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== perl-Text-CSV_XS ====
Version update (1.35 -> 1.36)

- updated to 1.36
see /usr/share/doc/packages/perl-Text-CSV_XS/ChangeLog
1.36 - 2018-06-26, H.Merijn Brand
* Now also tested on FreeBSD-11.1
* Update to Devel::PPPort-3.42
* Fixed memory leak (Thanks DaveM)
* Add undef_str attribute
* Tested against perl-5.28.0
* Move from DynaLoader to XSLoader
* Tested on Synology DSM

==== perl-libwww-perl ====
Version update (6.34 -> 6.35)

- updated to 6.35
see /usr/share/doc/packages/perl-libwww-perl/Changes
6.35 2018-07-16 04:48:54Z
- fix file descriptor leak in LWP::Protocol (introduced in version 6.17)
that occurs for perl versions earlier than 5.18. (GH #296)

==== pigz ====
Version update (2.3.3 -> 2.4)

- Update to version 2.4:
* Generate Zip64 format .zip files when the output is greater
than or equal to 4 GiB.
* Improved gzip options processing and return code compatibility
* Some bug fixes
- Drop no longer needed patches:
* pigz-fix-missing-linker.patch
* pigz-fix-wrong-include.patch
- Update to 2.3.4:
* no upstream changelog provided

==== pim-data-exporter ====
Version update (18.04.2 -> 18.04.3)
Subpackages: pim-data-exporter-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* Fix Bug 395911 - pimsettingsexporter "contacts" directory path incorrect
(kde#395911)

==== pim-sieve-editor ====
Version update (18.04.2 -> 18.04.3)
Subpackages: pim-sieve-editor-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== pimcommon ====
Version update (18.04.2 -> 18.04.3)
Subpackages: libKF5PimCommon5 libKF5PimCommonAkonadi5 pimcommon-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== plasma-browser-integration ====
Version update (5.13.2 -> 5.13.3)
Subpackages: plasma-browser-integration-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* Monitor document title (kde#395393)

==== polkit ====
Version update (0.114 -> 0.115)
Subpackages: libpolkit0 typelib-1_0-Polkit-1_0

- Update to version 0.115:
- Fix CVE-2018-1116: Trusting client-supplied UID (bsc#1099031)
- jsauthority: pass "%s" format string to remaining report function
(obsoletes polkit-jsauthority-pass-format-string.patch)

==== python-PyYAML ====
Version update (3.12 -> 3.13)
Subpackages: python2-PyYAML python3-PyYAML

- update to 3.13
* fix compactibility with python 3.7

==== python-keyring ====
Version update (13.0.0 -> 13.2.1)

- Update to 13.2.1:
* #335: Fix regression in command line client.
* Keyring command-line interface now reads the password
directly from stdin if stdin is connected to a pipe.
* #329: Improve output of ``keyring --list-backends``.

==== python-setuptools ====
Version update (39.2.0 -> 40.0.0)
Subpackages: python2-setuptools python3-setuptools

- update to version 40.0.0:
* #1342: Drop support for Python 3.3.
* #1366: In package_index, fixed handling of encoded entities in
URLs.
* #1383: In pkg_resources VendorImporter, avoid removing packages
imported from the root.
* #1379: Minor doc fixes after actually using the new release
process.
* #1385: Removed section on non-package data files.
* #1403: Fix developer's guide.
* #1404: Fix PEP 518 configuration: set build requirements in
pyproject.toml to ["wheel"].

==== python-urllib3 ====
Version update (1.22 -> 1.23)

- update to 1.23
- add 1414.patch - fix tests with new tornado
- refresh python-urllib3-recent-date.patch
- drop urllib3-test-no-coverage.patch
* Allow providing a list of headers to strip from requests when redirecting
to a different host. Defaults to the Authorization header. Different
headers can be set via Retry.remove_headers_on_redirect.
* Fix util.selectors._fileobj_to_fd to accept long
* Dropped Python 3.3 support.
* Put the connection back in the pool when calling stream()
or read_chunked() on a chunked HEAD response.
* Fixed pyOpenSSL-specific ssl client authentication issue when clients
attempted to auth via certificate + chain
* Add the port to the connectionpool connect print
* Don't use the uuid module to create multipart data boundaries.
* read_chunked() on a closed response returns no chunks.
* Add Python 2.6 support to contrib.securetransport
* Added support for auth info in url for SOCKS proxy

==== rsync ====

- Don't require systemd explicit, spec file can handle both cases
correct and in containers we don't have systemd [bsc#1100786].

==== sendmail ====
Subpackages: libmilter1_0

- Remove left over from last patch
- Group daemon is required

==== shotwell ====
Version update (0.28.3 -> 0.28.4)
Subpackages: shotwell-lang

- Update to version 0.28.4:
+ Fix slideshow settings dialog.
+ Fix Google login sequence.
+ Fix MTP device unmounting.
+ Work-around issue where PTP cameras would not be recognized
anymore.
+ Bugs fixed: bgo#796370, glgo#GNOME/shotwell#12.
+ Updated translations.

==== spectacle ====
Version update (18.04.2 -> 18.04.3)
Subpackages: spectacle-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== srt ====
Version update (1.3.0 -> 1.3.1)

- Update to version 1.3.1:
+ Various bugfixes.
- Update summaries.

==== step ====
Version update (18.04.2 -> 18.04.3)
Subpackages: step-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== sweeper ====
Version update (18.04.2 -> 18.04.3)
Subpackages: sweeper-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== syndication ====
Version update (18.04.2 -> 18.04.3)

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== tracker ====
Version update (2.0.3 -> 2.0.4)
Subpackages: libtracker-common-2_0 libtracker-control-2_0-0
libtracker-miner-2_0-0 libtracker-sparql-2_0-0 tracker-lang
typelib-1_0-Tracker-2_0 typelib-1_0-TrackerControl-2_0

- Update to version 2.0.4:
+ libtracker-miner:
- Fix event emission order of the root folder when a recursive
directory is found through monitor events.
- Improvements to attribute-only update handling.
+ libtracker-data: Perform VACUUM only past a database file size
limit.
- Drop:
+ update-desktop-files BuildRequires and suse_update_desktop_file
macro: they are no longer needed.
+ glib2_gsettings_schema_requires macro: it is not required
anymore since RPM file triggers (version 4.13).

==== umbrello ====
Version update (18.04.2 -> 18.04.3)
Subpackages: umbrello-lang

- Update to 18.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
* None

==== vala ====
Version update (0.40.7 -> 0.40.8)
Subpackages: libvala-0_40-0

- Update to version 0.40.8:
+ Various improvements and bug fixes:
- Fix links in the Manual.
- libvaladoc: Change link to Valadoc wiki page for HTML doclet.
- valadoc: Use HTML5 doctype in HTML doclet.
- codegen: Let methods return -1 on error by default if
possible.
- Allow TypeModule subclasses as parameter-type in
module-init-method.
- girparser: Allow changing the type of constants using
metadata.
- girwriter: Add boolean GIR visible attribute to allow
skipping symbols.
- vala: Report error for error-domains without any code.
- parser: Accept "empty" enums/error-domains.
- codewriter: Output bodies of code-blocks if in VAPIGEN mode.
+ Bindings:
- gobject-2.0: Add lower_case_csuffix attributes to Type*
symbols.
- gdk-3.0,gtk+-3.0: Update to 3.23.0+df045423.
- gio-2.0: Add custom IOError.from_errno() to make it work as
expected.
- gtk+-4.0: Update to 3.94.0+bf5f27c6.
- gstreamer-rtsp-server-1.0: Update from 1.14+ git master.

==== vim ====
Version update (8.1.0115 -> 8.1.0179)
Subpackages: gvim vim-data vim-data-common

- update to 8.1.0179
- add u_lua53_on_32bit.patch - fix lua53 support on 32bit
* Redundant condition for boundary check
- update to 8.1 revision 8.1.0178
- refresh disable-unreliable-tests.patch
vim-7.3-filetype_changes.patch
vim-7.3-filetype_ftl.patch
vim-7.3-filetype_spec.patch
vim-7.3-help_tags.patch
vim-7.3-name_vimrc.patch
vim-7.4-filetype_apparmor.patch
* Warning for passing pointer to non-pointer argument.
* Overlapping string argument for strcpy().
* Marks test fails in very wide window
* After paging up and down fold line is wrong.
* 'viminfofile' option does not behave like a file name.
* Typing CTRL-W n in a terminal window causes ml_get error.
* Invalid memory use with complicated pattern.
* Calling message_filtered() a bit too often.
* output of :marks is too short with multi-byte chars
* lock flag in new dictitem is reset in many places
* using dict_add_nr_str() is clumsy
* :clist output can be very long.
* luaeval('vim.buffer().name') returns an error.
* Danish and German man pages are not installed.
* Buffer not updated with 'autoread' set if file was deleted.
* completion for user names does not work for a prefix.
* GUI: input() fails if CTRL-C was pressed before
* Evim.man missing from the distribution.
* Crash with "set smarttab shiftwidth=0 softtabstop=-1".
* Build with SHADOWDIR fails.
* session is wrong with multiple tabs when :lcd was used
* Memory leak when using :tcl expr command.
* Compiler warning when building with Python 3.7.
* Matchit and matchparen don't handle E363.
* Xterm and vt320 builtin termcap missing keypad keys.
* cexpr no longer jumps to the first error.
* Recording into a register has focus events.
* Negative value of 'softtabstop' not used correctly.
* Undo message delays screen update for CTRL-O u.
* Lua interface does not support funcref.
* tagfiles() can have duplicate entries
* ":profdel func" does not work if func was called already
* still some xterm-like terminals get a stray "p"
* Build failure when disabling the session feature.
* Various problems with 'vartabstop'.
* Virtual edit replace with multi-byte fails at end of line.
* has('vcon') returns true even for non-win32 terminal.
* Crash when using ballooneval related to 'vartabstop'.
* Buffer 'modified' set even when :sort has no changes.
* Duplicate error message for put command.
* URL in install program still points to SourceForge.
* display problem with 'vartabstop' and 'linebreak'

==== woff2 ====
Subpackages: libwoff2common1_0_2 libwoff2dec1_0_2

- Add baselibs.conf, build 32bit support libs.

==== xdm ====
Subpackages: xdm-xsession

- Change /etc/X11/xdm/scripts/10-gpg-agent to get it work with
every gpg version 2.1 and up (boo#1062105)
- Update xdm.tar.bz2, no longer create / update /var/lib/X11/X
symlink, it is no used anymore (FATE#325524).

==== xf86-input-libinput ====
Version update (0.27.1 -> 0.28.0)

- Update to version 0.28.0
* This version adds a feature to expose the touch count for touch
devices through the X device. It makes it possible for clients
to adjust their UI based on the number of supported touches by
this device.
* Also, the draglock code had a bug and would call memset with
an invalid size, causing memory corruption. You're advised to
update, especially if you expect someone to use the draglock
options.

==== xinit ====

- Do not check /var/lib/X11/X anymore, it is obsolete
(FATE#325524).

==== zimg ====
Version update (2.7.4 -> 2.7.5)

- Update to 2.7.5:
* depth: fix SSE2 byte->float when width+4 is mod16
* resize: allow downsampling to very low resolutions


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages